Update token ownership status
Updates token status for a tenant, in all tenant vaults.
PUT
/
nfts
/
ownership
/
tokens
/
{id}
/
status
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.nFTs.updateTokenOwnershipStatus(nFTsApiUpdateTokenOwnershipStatusRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.nFTs().updateTokenOwnershipStatus(updateTokenOwnershipStatusDto, id, xEndUserWalletId, idempotencyKey);response = fireblocks.n_f_ts.update_token_ownership_status(update_token_ownership_status_dto, id, x_end_user_wallet_id, idempotency_key);curl --request PUT \
--url https://api.fireblocks.io/v1/nfts/ownership/tokens/{id}/status \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.fireblocks.io/v1/nfts/ownership/tokens/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Headers
Unique ID of the End-User wallet to the API request. Required for end-user wallet operations.
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
NFT ID
Body
application/json
Available options:
LISTED, ARCHIVED Response
200 - undefined
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.nFTs.updateTokenOwnershipStatus(nFTsApiUpdateTokenOwnershipStatusRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.nFTs().updateTokenOwnershipStatus(updateTokenOwnershipStatusDto, id, xEndUserWalletId, idempotencyKey);response = fireblocks.n_f_ts.update_token_ownership_status(update_token_ownership_status_dto, id, x_end_user_wallet_id, idempotency_key);